Throughput Pool Account - Create

Skapar eller uppdaterar ett Azure Cosmos DB ThroughputPool-konto. Metoden "Uppdatera" är att föredra när du utför uppdateringar på ett konto.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DocumentDB/throughputPools/{throughputPoolName}/throughputPoolAccounts/{throughputPoolAccountName}?api-version=2025-11-01-preview

URI-parametrar

Name I Obligatorisk Typ Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

Namnet på resursgruppen. Namnet är skiftlägesokänsligt.

subscriptionId
path True

string (uuid)

ID för målprenumerationen. Värdet måste vara ett UUID.

throughputPoolAccountName
path True

string

minLength: 3
maxLength: 50
pattern: ^[a-z0-9]+(-[a-z0-9]+)*

Cosmos DB globalt databaskonto i en dataflödespool

throughputPoolName
path True

string

minLength: 3
maxLength: 50
pattern: ^[a-z0-9]+(-[a-z0-9]+)*

Namn på Cosmos DB-dataflödespoolen.

api-version
query True

string

minLength: 1

Den API-version som ska användas för den här åtgärden.

Begärandetext

Name Typ Description
properties.accountLocation

string

Platsen för det globala databaskontot i dataflödespoolen.

properties.accountResourceIdentifier

string

Resursidentifieraren för det globala databaskontot i dataflödespoolen.

Svar

Name Typ Description
200 OK

ThroughputPoolAccountResource

Resursens 'ThroughputPoolAccountResource'-uppdateringsoperation lyckades

201 Created

ThroughputPoolAccountResource

Resursen 'ThroughputPoolAccountResource' lyckades

Sidhuvuden

  • Azure-AsyncOperation: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

Ett oväntat felsvar.

Säkerhet

azure_auth

Azure Active Directory OAuth2 Flow.

Typ: oauth2
Flow: implicit
Auktoriseringswebbadress: https://login.microsoftonline.com/common/oauth2/authorize

Omfattningar

Name Description
user_impersonation personifiera ditt användarkonto

Exempel

CosmosDB ThroughputPool Account Create

Exempelbegäran

PUT https://management.azure.com/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/rg1/providers/Microsoft.DocumentDB/throughputPools/tp1/throughputPoolAccounts/db1?api-version=2025-11-01-preview

{
  "properties": {
    "accountLocation": "West US",
    "accountResourceIdentifier": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/providers/Microsoft.DocumentDB/resourceGroup/rg1/databaseAccounts/db1/"
  }
}

Exempelsvar

{
  "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/rg1/providers/Microsoft.DocumentDB/throughputPools/tp1/throughputPoolAccounts/db1",
  "properties": {
    "accountInstanceId": "{instance-id1}",
    "accountLocation": "west us",
    "accountResourceIdentifier": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/rg1/providers/Microsoft.DocumentDB/databaseAccounts/db1",
    "provisioningState": "Succeeded"
  }
}
{
  "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/rg1/providers/Microsoft.DocumentDB/throughputPools/tp1/throughputPoolAccounts/db1",
  "properties": {
    "accountInstanceId": "{instance-id1}",
    "accountLocation": "west us",
    "accountResourceIdentifier": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/rg1/providers/Microsoft.DocumentDB/databaseAccounts/db1",
    "provisioningState": "Succeeded"
  }
}

Definitioner

Name Description
createdByType

Den typ av identitet som skapade resursen.

ErrorResponse

Svar på ett fel.

Status

Räkna upp för att ange aktuell utbyggnadsstatus för regionen.

systemData

Metadata som rör skapande och senaste ändring av resursen.

ThroughputPoolAccountResource

Ett Azure Cosmos DB-konto för dataputpoolen

createdByType

Den typ av identitet som skapade resursen.

Värde Description
User
Application
ManagedIdentity
Key

ErrorResponse

Svar på ett fel.

Name Typ Description
code

string

Felkod.

message

string

Felmeddelande som anger varför åtgärden misslyckades.

Status

Räkna upp för att ange aktuell utbyggnadsstatus för regionen.

Värde Description
Uninitialized
Initializing
InternallyReady
Online
Deleting
Succeeded
Failed
Canceled
Updating
Creating

systemData

Metadata som rör skapande och senaste ändring av resursen.

Name Typ Description
createdAt

string (date-time)

Tidsstämpeln för resursskapande (UTC).

createdBy

string

Identiteten som skapade resursen.

createdByType

createdByType

Den typ av identitet som skapade resursen.

lastModifiedAt

string (date-time)

Tidsstämpeln för resursens senaste ändring (UTC)

lastModifiedBy

string

Identiteten som senast ändrade resursen.

lastModifiedByType

createdByType

Den typ av identitet som senast ändrade resursen.

ThroughputPoolAccountResource

Ett Azure Cosmos DB-konto för dataputpoolen

Name Typ Description
id

string (arm-id)

Fullständigt kvalificerat resurs-ID för resursen. T.ex. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

Namnet på resursen

properties.accountInstanceId

string

Instans-ID:t för det globala databaskontot i throughputPool.

properties.accountLocation

string

Platsen för det globala databaskontot i dataflödespoolen.

properties.accountResourceIdentifier

string

Resursidentifieraren för det globala databaskontot i dataflödespoolen.

properties.provisioningState

Status

Ett etableringstillstånd för dataflödespoolkontot.

systemData

systemData

Azure Resource Manager-metadata som innehåller createdBy och modifiedBy information.

type

string

Resurstypen. T.ex. "Microsoft.Compute/virtualMachines" eller "Microsoft.Storage/storageAccounts"